Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.interfaces
Class EPPDefRegTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.interfaces.EPPDefRegTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPDefRegTst

extends junit.framework.TestCase

Is a unit test of the `EPPDefReg` class. The unit test will initialize a session with an EPP Server, will invoke `EPPDefReg` operations, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
java com.verisign.epp.interfaces.EPPDefRegTst -Dthreads=2 ../../epp.config
The unit test is dependent on the use of JUNIT 3.5

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $

Constructor Summary
`EPPDefRegTst(java.lang.String name)` Allocates an `EPPDefRegTst` with a logical name.

Method Summary
`void` | `defRegCreate()` Unit test of `EPPDefReg.sendCreate`.
`void` | `defRegCreateIDN()` Unit test of using the IDN Lang Extension with `EPPDefReg` Create .
`void` | `defRegDelete()` Unit test of `EPPDefReg.sendDelete`.
`void` | `defRegInfo()` Unit test of `EPPDefReg.sendInfo`.
`void` | `defRegRenew()` Unit test of `EPPDefReg.sendRenew`.
`void` | `defRegTransfer()` Unit test of `EPPDefReg.sendTransfer` for a transfer query.
`void` | `defRegTransferQuery()` Unit test of `EPPDefReg.sendTransfer` for a transfer query.
`void` | `defRegUpdate()` Unit test of `EPPDefReg.sendUpdate`.
`void` | `handleException(java.lang.Exception aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
`java.lang.String` | `makeContactName()` Makes a unique contact name using the current time.
`java.lang.String` | `makeDefRegName()` This method tries to generate a unique String as DefReg Name and Name Server
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPDefRegTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testDefReg()` JUNIT test method to implement the `EPPDefRegTst TestCase`.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPDefRegTst

    public EPPDefRegTst(java.lang.String name)

  Allocates an `EPPDefRegTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.

  Parameters:
    `name` - Logical name of the test

Method Detail

### testDefReg

    public void testDefReg()

  JUNIT test method to implement the `EPPDefRegTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPDefReg interface.

### defRegInfo

    public void defRegInfo()

  Unit test of `EPPDefReg.sendInfo`.

### defRegCreate

    public void defRegCreate()

  Unit test of `EPPDefReg.sendCreate`.

### defRegCreateIDN

    public void defRegCreateIDN()

  Unit test of using the IDN Lang Extension with `EPPDefReg` Create .

### defRegDelete

    public void defRegDelete()

  Unit test of `EPPDefReg.sendDelete`.

### defRegRenew

    public void defRegRenew()

  Unit test of `EPPDefReg.sendRenew`.

### defRegUpdate

    public void defRegUpdate()

  Unit test of `EPPDefReg.sendUpdate`.

### defRegTransferQuery

    public void defRegTransferQuery()

  Unit test of `EPPDefReg.sendTransfer` for a transfer query.

### defRegTransfer

    public void defRegTransfer()

  Unit test of `EPPDefReg.sendTransfer` for a transfer query.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPDefRegTst`.

  Returns:
    DOCUMENT ME!

### handleException

    public void handleException(java.lang.Exception aException)

  Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error : Response XML" will be specified. If the exception was caused by a general algorithm error, "General Error : Exception Description" will be specified.

  Parameters:
    `aException` - Exception thrown during test

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### makeDefRegName

    public java.lang.String makeDefRegName()

  This method tries to generate a unique String as DefReg Name and Name Server

  Returns:
    DOCUMENT ME!

### makeContactName

    public java.lang.String makeContactName()

  Makes a unique contact name using the current time.

  Returns:
    Unique contact name `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.